Subject: RE: [dhcwg] RE: [Mip6] [Updated] DHCP Option forHomeInformationDiscovery inMIPv6

From: "Alper Yegin" <[email-masked]>
Date: Mon, 3 Jul 2006 01:25:53 -0700

> there is one issue.
> 
> draft-jang just does not define the DHCP options. it goes further.
> abstract of draft-jang says
> 
>     This draft defines a DHCP-based scheme to enable dynamic discovery of
>     Mobile IPv6 home agent address, home address, and home subnet.  New
>     DHCP options are defined to carry the information from a DHCP server
>     to the DHCP client running on the mobile node.

What is "further" in this? The words "dynamic discovery?" This is what DHCP
gives you for anything that you use it for.

> section 4.2 further goes and ahead and specifies mobile node
> behavior. the draft just does not define the options. 

These are all within the scope of defining a new DHCP option.

> it is also
> incomplete because it neither describes the scope of the problem

This is all defined in the Introduction section. If you have specific
comments, let us know and we'll fix it up.

> it is trying to address nor gives a complete solution.

Complete solution, I suspect, is the architecture you are referring to.
Again, this is a "protocol" document, not an "architecture" document.

> we can't have two documents that both describe how to use DHCP
> for MIP6 bootstrapping.

That's not happening. draft-jang-mip6-hiopt-00 defines a protocol
specification. draft-ietf-mip6-bootstrapping-integrated-dhc-01 defines the
architecture and refers to the former for the specific protocol details.

>From your other e-mail:

> > If the use cases are not limited to only bootstrapping,

> what other use cases? are those use cases specific to Mobile IPv6?
> do they fit into the MIP6 WG charter?

I had explained the use of statically configured DHCP servers earlier,
remember?

....

Vijay, we have circled around your concerns many times by now. I'm going to
stop now and see you in Montreal.

Alper

> 
> Vijay
> 
> Kent Leung (kleung) wrote:
> > Hi Kuntal and Vijay.
> >
> > See my posting, "Generalizing draft-jang-dhc-haopt for MIPv6 support in
> > DHCP", back on Jan 4, 2006 on this topic.  I proposed to keep the 2
> > drafts separate, one for defining DHCPv6 opcodes for MIPv6 parameters
> > and a bootstrap draft that references the DHCP options needed to achieve
> > its function.
> >
> > I agree there's no need to drag in references other to say that there's
> > value for the DHCP MIPv6 options.  3GPP2/WiMAX specs can reference the
> > DHCPv6 opcodes for MIPv6 draft/RFC, much like what MIPv6 bootstrap would
> > have done.
> >
> > As for what Vijay said about the WiMAX scheme, definitely true that it
> > doesn't conform to DHCP RFC 3315.  But we should keep the issues
> > separate.  I haven't read all the emails on the thread.  Just jumping in
> > to say the following:
> >
> >  - Keep 2 separate self contained drafts
> >  - IETF MIPv6 bootstrap draft references DHCP for MIPv6 draft
> >  - WiMAX and 3GPP2 can also reference DHCP for MIPv6 draft for their
> > bootstrapping schemes
> >
> > Just some explanatory comments:
> >  - 3GPP2 conforms to DHCPv6 in its bootstrapping scheme
> >  - WiMAX does not conform to DHCPv6 when using proxy DHCP server scheme
> >
> > But *ALL* of the above bootstrapping schemes use the same DHCP options
> > for MIPv6 parameters.  That's what justifies an independent DHCP for
> > MIPv6 draft, IMHO.
> >
> > Kent
> >
> >
> >
> >
> >>-----Original Message-----
> >>From: Chowdhury, Kuntal [mailto:[email-masked]]
> >>Sent: Thursday, June 22, 2006 7:19 PM
> >>To: Vijay Devarapalli; Behcet Sarikaya
> >>Cc: [email-masked]; Heejin Jang; [email-masked]
> >>Subject: RE: [dhcwg] RE: [Mip6] [Updated] DHCP Option for
> >>HomeInformationDiscovery inMIPv6
> >>
> >>Sorry, I am not getting this. Why are we dragging WiMAX and
> >>3GPP2 references to justify the need for basic DHCP op-codes
> >>for HoA/HL/HA info?
> >>
> >>draft-jang-mip6-hiopt-00.txt defines the DHCPv6 op-codes for
> >>HA, HoA and HL info.
> >>
> >>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt is the
> >>MIP6 bootstrapping solution that leverages DHCPv6 for HA/HL
> >>bootstrapping.
> >>
> >>There are tons of I-Ds and solutions in IETF that leverage other I-Ds.
> >>So, what is so special here? The decision to NOT merge these
> >>I-Ds was taken in the bootstrap DT. Why are we wasting
> >>people's time here to revisit basic decisions?
> >>
> >>-Kuntal
> >>
> >>
> >>
> >>>-----Original Message-----
> >>>From: Vijay Devarapalli [mailto:[email-masked]]
> >>>Sent: Thursday, June 22, 2006 12:55 PM
> >>>To: Behcet Sarikaya
> >>>Cc: [email-masked]; Heejin Jang; [email-masked]
> >>>Subject: Re: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home
> >>>InformationDiscovery inMIPv6
> >>>
> >>>Behcet Sarikaya wrote:
> >>>
> >>>>Hi Vijay,
> >>>>The idea in the present WiMAX document is quite simple:
> >>>>it uses EAP-PKMv2 (which is like 802.11i) authentication
> >>
> >>and during
> >>EAP
> >>
> >>>>transaction, they assume that AAA server determines that
> >>
> >>the MS is a
> >>
> >>>>CMIPv6 authorized user based on the AAA profile and it
> >>
> >>will include
> >>all
> >>
> >>>>the so-called bootstrapping info in the Access-Accept. Then MS can
> >>
> >>use
> >>
> >>>>RFC 3736 to make a DHCP Information Request to DHCP Relay
> >>
> >>colocated
> >>with
> >>
> >>>>NAS and use draft-jang (extended now with HoA) and receive all the
> >>
> >>info
> >>
> >>>>to configure MIP6.
> >>>
> >>>the DHCP Relay replies to the MN without relaying the DHCP request
> >>>from the MN to a DHCP server? this is not allowed with the current
> >>>IETF specs.
> >>>
> >>>
> >>>>  In this setup can you make a case for
> >>>>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt?
> >>>
> >>>as far as I am concerned,
> >>>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt
> >>>is the document that describes how to use DHCPv6 for MIPv6
> >>>bootstrapping. as for the setup in the WiMAX NWG, it is
> >>
> >>something that
> >>
> >>>doesn't conform to the IETF DHCP specs.
> >>>
> >>>Vijay
> >>><snip>
> >>
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 05 Jul 2006 17:58:42 -0700

Alper,

we don't define architectures in the IETF. 
draft-ietf-mip6-bootstrapping-integrated-dhc is supposed to be the only 
bootstrapping *solution* for the integrated scenario. thats the reason 
it is currently a WG document and draft-jang isnt.

lets continue this discussion at the IETF meeting. an offline meeting 
with the working group chairs before the MIP6 WG meeting would help, I 
think.

Vijay

---

From: Julien Bournelle <[email-masked]>
Date: Thu, 6 Jul 2006 14:34:44 +0200

Hi all,

> it is currently a WG document and draft-jang isnt.

 I'm not sure that the intent was to be the only bootstrapping solution
 for the integrated scenario. We have added the suffix -dhc to specify
 that the delivery of HA information to the MN was based on DHCP but
 others solutions may be possible (cf.
 draft-bournelle-pana-mip6-01.txt).

 My 2 cents,

 Julien

-- 
julien.bournelle at int-evry.fr

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 06 Jul 2006 10:25:34 -0700

>  draft-bournelle-pana-mip6-01.txt).

hmm... we discussed a bunch of options (including PANA)
for the integrated scenario and concluded on DHCP. so
in that sense, we are standardizing only one solution
(based on DHCP) for the integrated scenario. a solution
based on PANA is possible if there is a need for it.

Vijay